class Enemy {

  

  void update() {

    // start enemy block
    rectMode(CENTER);
    fill(200, 0, 0, 192);
    noStroke();


    // calculate angle between enemy and player
    // and give the enemy speed towards player
    // speed increases every 100 turns
    float a = atan2(redrectY-rectY, redrectX-rectX);
    int angle = int(degrees(a)+180);

    if (index > 100 && index < 200) {
      enemySpeed = 1;
    } 
    else if (index > 200 && index < 300) {
      enemySpeed = 2;
    } 
    else if (index > 300 && index < 400) {
      enemySpeed = 3;
    } 
    else if (index > 400 && index < 500) {
      enemySpeed = 4;
    } 
    else if (index > 500 && index < 600) {
      enemySpeed = 5;
    } 
    else if (index > 600 && index < 700) {
      enemySpeed = 6;
    } 
    else if (index > 700 && index < 800) {
      enemySpeed = 7;
    } 
    else if (index > 800 && index < 900) {
      enemySpeed = 8;
    } 
    else if (index > 900 && index < 1000) {
      enemySpeed = 9;
    }  
    else if (index > 1000 && index < 1100) {
      enemySpeed = 10;
    } 



    if (enemy == 1) {
      if ((angle >= 46) && (angle <= 135)) {
        redrectY = redrectY + (gridsize + enemySpeed);
      } 
      else if ((angle >= 136) && (angle <= 225)) {
        redrectX = redrectX - (gridsize + enemySpeed);
      } 
      else if ((angle >= 226) && (angle <= 315)) {
        redrectY = redrectY - (gridsize + enemySpeed);
      } 
      else if ((angle >= 316) && (angle <= 360)) {
        redrectX = redrectX + (gridsize + enemySpeed);
      } 
      else if ((angle >= 1) && (angle <= 45)) {
        redrectX = redrectX + (gridsize + enemySpeed);
      }
      enemy = 0;  // resets enemy to wait for player's next move
    }


    // draw actual enemy
    rect(redrectX, redrectY, rectWidth, rectHeight);

    // calculate if enemy is close enough to kill player
    if (dist(rectX, rectY, redrectX, redrectY) < rectWidth) {
      output.flush();  // Writes the remaining data to the file
      output.close();  // Finishes the file
      music.pause();
      music.rewind();

      // displays end screen
      playerDie.play();  // play dieing sound
      dead = 1;
      image(end, 0, 0, width, height);

      noLoop();
    }
  }
}

